import { SvgIconProps } from "../../app/types/types";


export function SidebarMobileMenuOpen(props: SvgIconProps) {
  return (
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M2.75158 4.25008C2.61971 4.24846 2.48882 4.27294 2.36644 4.32212C2.24348 4.37153 2.13156 4.44489 2.03719 4.53793C1.94282 4.63097 1.86789 4.74184 1.81674 4.8641C1.7656 4.98635 1.73926 5.11755 1.73926 5.25007C1.73926 5.3826 1.7656 5.5138 1.81674 5.63605C1.86789 5.75831 1.94282 5.86917 2.03719 5.96222C2.13156 6.05526 2.24348 6.12862 2.36644 6.17803C2.48882 6.22721 2.61971 6.25169 2.75158 6.25007H21.2483C21.3802 6.25169 21.5111 6.22721 21.6334 6.17803C21.7564 6.12862 21.8683 6.05526 21.9627 5.96222C22.0571 5.86918 22.132 5.7583 22.1831 5.63605C22.2343 5.5138 22.2606 5.3826 22.2606 5.25007C22.2606 5.11755 22.2343 4.98635 22.1831 4.8641C22.132 4.74185 22.0571 4.63097 21.9627 4.53793C21.8683 4.44489 21.7564 4.37153 21.6334 4.32212C21.5111 4.27294 21.3802 4.24846 21.2483 4.25008H2.75158ZM2.36644 17.8221L2.45966 18.0541L2.36644 17.8221C2.24348 17.8715 2.13156 17.9449 2.03719 18.0379C1.94282 18.131 1.86789 18.2418 1.81674 18.3641C1.7656 18.4864 1.73926 18.6176 1.73926 18.7501C1.73926 18.8826 1.7656 19.0138 1.81674 19.1361C1.86789 19.2583 1.94282 19.3692 2.03719 19.4622C2.13156 19.5553 2.24348 19.6286 2.36644 19.678C2.48883 19.7272 2.61972 19.7517 2.7516 19.7501H21.2483C21.3802 19.7517 21.5111 19.7272 21.6334 19.678C21.7564 19.6286 21.8683 19.5553 21.9627 19.4622C22.0571 19.3692 22.132 19.2583 22.1831 19.1361C22.2343 19.0138 22.2606 18.8826 22.2606 18.7501C22.2606 18.6176 22.2343 18.4864 22.1831 18.3641C22.132 18.2418 22.0571 18.131 21.9627 18.0379C21.8683 17.9449 21.7564 17.8715 21.6334 17.8221C21.5111 17.7729 21.3802 17.7485 21.2483 17.7501H2.7516C2.61972 17.7485 2.48882 17.7729 2.36644 17.8221ZM2.7516 11.0001C2.61972 10.9985 2.48883 11.0229 2.36644 11.0721C2.24348 11.1215 2.13156 11.1949 2.03719 11.2879C1.94282 11.381 1.86789 11.4918 1.81674 11.6141C1.7656 11.7364 1.73926 11.8676 1.73926 12.0001C1.73926 12.1326 1.7656 12.2638 1.81674 12.3861C1.86789 12.5083 1.94282 12.6192 2.03719 12.7122C2.13156 12.8053 2.24348 12.8786 2.36644 12.928C2.48883 12.9772 2.61972 13.0017 2.7516 13.0001H21.2483C21.3802 13.0017 21.5111 12.9772 21.6334 12.928C21.7564 12.8786 21.8683 12.8053 21.9627 12.7122C22.0571 12.6192 22.132 12.5083 22.1831 12.3861C22.2343 12.2638 22.2606 12.1326 22.2606 12.0001C22.2606 11.8676 22.2343 11.7364 22.1831 11.6141C22.132 11.4918 22.0571 11.381 21.9627 11.2879C21.8683 11.1949 21.7564 11.1215 21.6334 11.0721C21.5111 11.0229 21.3802 10.9985 21.2483 11.0001H2.7516Z"
        fill="white"
        stroke="white"
        strokeWidth="0.5"
      />
    </svg>
  )
}
